How to upgrade laravel installer to v2

laravel/installer package was updated to v2 on Feb 2018.

Even you have run composer global update, still only got v1.5.0.

It is because in your ~/.composer/composer.json file. It is referenced as “^1.3”. It will not update to v2. Maximum only upgrade to v1.5.0.

Easy way is required again.

run composer global require laravel/installer:^2.0.1

another way is like below:-

Now you have to do is edit your ~/.composer/composer.json file, update the “^1.x” to “^2.0.1”.